Production Node Info
C Reference

## Functions

XN_C_API XnStatus XN_C_DECL | xnNodeInfoAllocate (const XnProductionNodeDescription *pDescription, const XnChar *strCreationInfo, XnNodeInfoList *pNeededNodes, XnNodeInfo **ppNodeInfo)
XN_C_API void XN_C_DECL | xnNodeInfoFree (XnNodeInfo *pNodeInfo)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoSetInstanceName (XnNodeInfo *pNodeInfo, const XnChar *strInstanceName)
XN_C_API const XnProductionNodeDescription *XN_C_DECL | xnNodeInfoGetDescription (XnNodeInfo *pNodeInfo)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoGetTreeStringRepresentation (XnNodeInfo *pNodeInfo, XnChar *csResult, XnUInt32 nSize)
XN_C_API const XnChar *XN_C_DECL | xnNodeInfoGetInstanceName (XnNodeInfo *pNodeInfo)
XN_C_API const XnChar *XN_C_DECL | xnNodeInfoGetCreationInfo (XnNodeInfo *pNodeInfo)
XN_C_API XnNodeInfoList *XN_C_DECL | xnNodeInfoGetNeededNodes (XnNodeInfo *pNodeInfo)
XN_C_API XnNodeHandle XN_C_DECL | xnNodeInfoGetRefHandle (XnNodeInfo *pNodeInfo)
XN_C_API XnNodeHandle XN_C_DECL | xnNodeInfoGetHandle (XnNodeInfo *pNodeInfo)
XN_C_API const void *XN_C_DECL | xnNodeInfoGetAdditionalData (XnNodeInfo *pNodeInfo)

## Detailed Description

This page describes the functionality of a production node info object. Each info object can represent a possible production node, or an existing one.

## Function Documentation

## xnNodeInfoAllocate()

XN_C_API XnStatus XN_C_DECL xnNodeInfoAllocate | ( | const XnProductionNodeDescription * | pDescription,
|  | const XnChar * | strCreationInfo,
|  | XnNodeInfoList * | pNeededNodes,
|  | XnNodeInfo ** | ppNodeInfo )

Allocates a node info object, and sets its details.

Parameters

  pDescription | [in] The description for the new node info object.
  strCreationInfo | [in] The creation info for the new node info object.
  pNeededNodes | [in] A list of node info's that are needed by the new node info.
  ppNodeInfo | [out] A pointer to pointer to the new node info object.

## xnNodeInfoFree()

XN_C_API void XN_C_DECL xnNodeInfoFree | ( | XnNodeInfo * | pNodeInfo | ) |

Frees a node info object

Parameters

  pNodeInfo | [in] The node info object to free.

## xnNodeInfoGetAdditionalData()

XN_C_API const void *XN_C_DECL xnNodeInfoGetAdditionalData | ( | XnNodeInfo * | pNodeInfo | ) |

Gets the additional data object attached to the node info object.

Parameters

  pNodeInfo | [in] A production node info object.

## xnNodeInfoGetCreationInfo()

XN_C_API const XnChar *XN_C_DECL xnNodeInfoGetCreationInfo | ( | XnNodeInfo * | pNodeInfo | ) |

Gets the creation info of the production node.

Parameters

  pNodeInfo | [in] A production node info object.

## xnNodeInfoGetDescription()

XN_C_API const XnProductionNodeDescription *XN_C_DECL xnNodeInfoGetDescription | ( | XnNodeInfo * | pNodeInfo | ) |

Gets the description of the production node.

Parameters

  pNodeInfo | [in] A production node info object.

## xnNodeInfoGetHandle()

XN_C_API XnNodeHandle XN_C_DECL xnNodeInfoGetHandle | ( | XnNodeInfo * | pNodeInfo | ) |

## xnNodeInfoGetInstanceName()

XN_C_API const XnChar *XN_C_DECL xnNodeInfoGetInstanceName | ( | XnNodeInfo * | pNodeInfo | ) |

Gets the instance name of the production node.

Parameters

  pNodeInfo | [in] A production node info object.

## xnNodeInfoGetNeededNodes()

XN_C_API XnNodeInfoList *XN_C_DECL xnNodeInfoGetNeededNodes | ( | XnNodeInfo * | pNodeInfo | ) |

Gets the list of needed nodes of the production node.

Parameters

  pNodeInfo | [in] A production node info object.

## xnNodeInfoGetRefHandle()

XN_C_API XnNodeHandle XN_C_DECL xnNodeInfoGetRefHandle | ( | XnNodeInfo * | pNodeInfo | ) |

Gets the handle of the production node. For nodes that weren't created yet, NULL is returned. If a handle is returned, it should be released when no longer used by calling xnProductionNodeRelease().

Parameters

  pNodeInfo | [in] A production node info object.

## xnNodeInfoGetTreeStringRepresentation()

XN_C_API XnStatus XN_C_DECL xnNodeInfoGetTreeStringRepresentation | ( | XnNodeInfo * | pNodeInfo,
|  | XnChar * | csResult,
|  | XnUInt32 | nSize )

Creates a printable representation of the production tree.

Parameters

  pNodeInfo | [in] A production node info object.
  csResult | [in] A buffer to be filled with the printable representation.
  nSize | [in] Size of the buffer.

## xnNodeInfoSetInstanceName()

XN_C_API XnStatus XN_C_DECL xnNodeInfoSetInstanceName | ( | XnNodeInfo * | pNodeInfo,
|  | const XnChar * | strInstanceName )

Sets the instance name of the node info object. The name can only be set BEFORE the instance is created.

Parameters

  pNodeInfo | [in] A production node info object.
  strInstanceName | [in] The name to give to this instance.